import QtQuick 1.1
import qb.components 1.0
import qb.base 1.0;

App {
	id: myClockApp

	// These are the URL's for the QML resources from which our widgets will be instantiated.
	// By making them a URL type property they will automatically be converted to full paths,
	// preventing problems when passing them around to code that comes from a different path.
	property url tileUrl : "MyClockTile.qml";
	property url thumbnailIcon: "drawables/myClock.png";

	property string fullTimeStr
	property string timeStr
	property string secondsStr
	property string dateStr
	property string dayStr

	function init() {
		registry.registerWidget("tile", tileUrl, this, null, {thumbLabel: qsTr("myClock"), thumbIcon: thumbnailIcon, thumbCategory: "general", thumbWeight: 30, baseTileWeight: 10, baseTileSolarWeight: 10, thumbIconVAlignment: "center"});
	}

	function updateClockTiles() {
		var now = new Date().getTime();
		var fullTimeLength = 0;
		fullTimeStr = i18n.dateTime(now, i18n.time_yes | i18n.secs_yes);
		dateStr = i18n.dateTime(now, i18n.mon_full);
		dayStr  = i18n.dateTime(now, i18n.dow_full);
		secondsStr = fullTimeStr.slice(-2);
		fullTimeLength = fullTimeStr.length;
		timeStr = fullTimeStr.substr(0,(fullTimeLength - 2));
	}

	Timer {
		id: datetimeTimer
		interval: 1000
		triggeredOnStart: true
		running: true
		repeat: true
		onTriggered: updateClockTiles()
	}
}
